package com.ruoyi.web.modules.trading.domain;

import java.util.Date;
import java.util.List;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 市场进栏登记 biz_market_entry
 */
public class BizMarketEntry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date entryTime;

    private Long stallId;

    private String stallCode;

    private Long supplierId;

    private String supplierName;

    private Integer quantity;

    private String earTags;

    private String delFlag;

    private String entryDateStart;

    private String entryDateEnd;

    private String earTag;

    private List<String> earTagList;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Date getEntryTime()
    {
        return entryTime;
    }

    public void setEntryTime(Date entryTime)
    {
        this.entryTime = entryTime;
    }

    public Long getStallId()
    {
        return stallId;
    }

    public void setStallId(Long stallId)
    {
        this.stallId = stallId;
    }

    public String getStallCode()
    {
        return stallCode;
    }

    public void setStallCode(String stallCode)
    {
        this.stallCode = stallCode;
    }

    public Long getSupplierId()
    {
        return supplierId;
    }

    public void setSupplierId(Long supplierId)
    {
        this.supplierId = supplierId;
    }

    public String getSupplierName()
    {
        return supplierName;
    }

    public void setSupplierName(String supplierName)
    {
        this.supplierName = supplierName;
    }

    public Integer getQuantity()
    {
        return quantity;
    }

    public void setQuantity(Integer quantity)
    {
        this.quantity = quantity;
    }

    public String getEarTags()
    {
        return earTags;
    }

    public void setEarTags(String earTags)
    {
        this.earTags = earTags;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getEntryDateStart()
    {
        return entryDateStart;
    }

    public void setEntryDateStart(String entryDateStart)
    {
        this.entryDateStart = entryDateStart;
    }

    public String getEntryDateEnd()
    {
        return entryDateEnd;
    }

    public void setEntryDateEnd(String entryDateEnd)
    {
        this.entryDateEnd = entryDateEnd;
    }

    public String getEarTag()
    {
        return earTag;
    }

    public void setEarTag(String earTag)
    {
        this.earTag = earTag;
    }

    public List<String> getEarTagList()
    {
        return earTagList;
    }

    public void setEarTagList(List<String> earTagList)
    {
        this.earTagList = earTagList;
    }
}
